# class RenameDlg |
Full name | `KIO::RenameDlg`
Definition | `#include <renamedlg.h>`
Inherits | QDialog (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- RenameDlg ( QWidget *parent, const QString & caption, const QString & src, const QString & dest, RenameDlg_Mode mode, unsigned long sizeSrc = (unsigned long)-1, unsigned long sizeDest = (unsigned long)-1, time_t ctimeSrc = (time_t) -1, time_t ctimeDest = (time_t) -1, time_t mtimeSrc = (time_t) -1, time_t mtimeDest = (time_t) -1, bool modal = FALSE )
- ~RenameDlg ()
- KURL newDestURL ()

#### Public Slots

- void b0Pressed ()
- void b1Pressed ()
- void b2Pressed ()
- void b3Pressed ()
- void b4Pressed ()
- void b5Pressed ()
- void b6Pressed ()
- void b7Pressed ()

#### Protected Slots

- void enableRenameButton (const QString &)

#### Protected Members

- QPushButton *b0
- QPushButton *b1
- QPushButton *b2
- QPushButton *b3
- QPushButton *b4
- QPushButton *b5
- QPushButton *b6
- QPushButton *b7
- QLineEdit* m_pLineEdit
- QVBoxLayout* m_pLayout
- QString src
- QString dest
- bool modal

## Detailed Description

RenameDlg ( QWidget *parent, const QString & caption, const QString & src, const QString & dest, RenameDlg_Mode mode, unsigned long sizeSrc = (unsigned long)-1, unsigned long sizeDest = (unsigned long)-1, time_t ctimeSrc = (time_t) -1, time_t ctimeDest = (time_t) -1, time_t mtimeSrc = (time_t) -1, time_t mtimeDest = (time_t) -1, bool modal = FALSE ) | ### RenameDlg

Construct a "rename" dialog

The following parameters bring optionnal information about `src` and `dest`

Parameters:

parent | parent widget (often 0)
caption | the caption for the dialog box
src | the url to the file/dir we're trying to copy, as it's part of the text message
dest | the path to destination file/dir, i.e. the one that already exists
mode | parameters for the dialog (which buttons to show...),
sizeSrc | size of source file
sizeDest | size of destination file
ctimeSrc | creation time of source file
ctimeDest | creation time of destination file
mtimeSrc | modification time of source file
mtimeDest | modification time of destination file
modal | set to true for a modal dialog

See also: RenameDlg_Mode

~RenameDlg () | ### ~RenameDlg

KURL newDestURL () | ### newDestURL

Returns: the new destination valid only if RENAME was chosen

QPushButton * b0 | ### b0

[protected]

QPushButton * b1 | ### b1

[protected]

QPushButton * b2 | ### b2

[protected]

QPushButton * b3 | ### b3

[protected]

QPushButton * b4 | ### b4

[protected]

QPushButton * b5 | ### b5

[protected]

QPushButton * b6 | ### b6

[protected]

QPushButton * b7 | ### b7

[protected]

QLineEdit* m_pLineEdit | ### m_pLineEdit

[protected]

QVBoxLayout* m_pLayout | ### m_pLayout

[protected]

QString src | ### src

[protected]

QString dest | ### dest

[protected]

bool modal | ### modal

[protected]

void b0Pressed () | ### b0Pressed

[slot]

void b1Pressed () | ### b1Pressed

[slot]

void b2Pressed () | ### b2Pressed

[slot]

void b3Pressed () | ### b3Pressed

[slot]

void b4Pressed () | ### b4Pressed

[slot]

void b5Pressed () | ### b5Pressed

[slot]

void b6Pressed () | ### b6Pressed

[slot]

void b7Pressed () | ### b7Pressed

[slot]

void enableRenameButton (const QString &) | ### enableRenameButton

[protected slots slot]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.